#include <xc.h>

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

// CONFIG
#pragma config OSC = IntRC      // Oscillator Selection bits (internal RC oscillator)
#pragma config WDT = OFF        // Watchdog Timer Enable bit (WDT disabled)
#pragma config CP = OFF         // Code Protection bit (Code protection off)
#pragma config MCLRE = ON       // GP3/MCLR Pin Function Select bit (GP3/MCLR pin function is MCLR)

const unsigned char ROM_Buffer[] = {0x11, 0x22, 0x33, 0x44, 0x55, 0x66, 0x77, 0x88, 0x99, 0xaa, 0xbb, 0xcc, 0xdd, 0xee, 0xff};
unsigned char Input_Buffer[10]; // ŧi}C
const unsigned char *ROM_PTR = ROM_Buffer;
unsigned char *RAM_PTR = Input_Buffer;
near unsigned char j;

void main(void)
{
    for (j = 0; j <= 10; j++)
        *RAM_PTR++ = *ROM_PTR++;

    while (1);
}